package com.buzzvil.buzz_booster_example

import io.flutter.embedding.android.FlutterActivity
import androidx.annotation.NonNull
import io.flutter.embedding.engine.FlutterEngine
import android.content.SharedPreferences;
import android.content.Context;
import io.flutter.plugin.common.MethodChannel
import android.os.Bundle;
import android.util.Log;

class MainActivity: FlutterActivity() {
  private val CHANNEL = "com.buzzvil.dev/booster"

  override fun configureFlutterEngine(@NonNull flutterEngine: FlutterEngine) {
    super.configureFlutterEngine(flutterEngine)
    MethodChannel(flutterEngine.dartExecutor.binaryMessenger, CHANNEL).setMethodCallHandler {
      call, result ->
      if (call.method == "changeEnvironment") {
        val environment = call.argument("environment") as String?
        changeEnvironment(environment!!)
        result.success(null)
      } else if (call.method == "clearCursor") {
        clearCursor()
        result.success(null)
      }
    }
  }

  private fun changeEnvironment(environment: String) {
    val prefs = getSharedPreferences("BuzzBoosterSprefsForMutator", Context.MODE_PRIVATE)
    val editor = prefs.edit()
    val url = if (environment == "Production") {
      "https://api.buzzvil.com/buzzbooster/"
    } else if (environment == "Staging") {
      "https://api-staging.buzzvil.com/buzzbooster/"
    } else {
      "https://api-dev.buzzvil.com/buzzbooster/"
    }
    editor.putString("server_mutator_server_env_prefix-BUZZ_API.name", url)
    editor.apply();
  }

  private fun clearCursor() {
    val prefs = getSharedPreferences("BuzzBoosterPrefs", Context.MODE_PRIVATE)
    val editor = prefs.edit()
    editor.remove("MESSAGE_CURSOR")
    editor.apply()
  }
}
