#import "AppDelegate.h"
#import "GeneratedPluginRegistrant.h"

@implementation AppDelegate

- (BOOL)application:(UIApplication *)application
    didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
  [UNUserNotificationCenter currentNotificationCenter].delegate = self;
  FlutterViewController* controller = (FlutterViewController*)self.window.rootViewController;
  FlutterMethodChannel* channel = [FlutterMethodChannel methodChannelWithName:@"com.buzzvil.dev/booster"
                                                              binaryMessenger:controller.binaryMessenger];
  [channel setMethodCallHandler:^(FlutterMethodCall* call, FlutterResult result) {
    if ([@"changeEnvironment" isEqualToString:call.method]) {
      NSString *environment = call.arguments[@"environment"];
      [self changeServerEnvironment:environment];
      result(nil);
    } else if ([@"clearCursor" isEqualToString:call.method]) {
      NSString *appKey = call.arguments[@"appKey"];
      [self clearCursor:appKey];
      result(nil);
    }
  }];
  [GeneratedPluginRegistrant registerWithRegistry:self];
  // Override point for customization after application launch.
  return YES;
}
- (void)userNotificationCenter:(UNUserNotificationCenter *)center
       willPresentNotification:(UNNotification *)notification
         withCompletionHandler:(void (^)(UNNotificationPresentationOptions))completionHandler {
  completionHandler(UNAuthorizationOptionBadge | UNAuthorizationOptionAlert | UNAuthorizationOptionSound);
}

- (void)userNotificationCenter:(UNUserNotificationCenter *)center
didReceiveNotificationResponse:(UNNotificationResponse *)response
         withCompletionHandler:(void (^)(void))completionHandler {
  completionHandler();
}

- (void)changeServerEnvironment:(NSString *)environment {
  NSUserDefaults *_mutatorUserDefaults = [[NSUserDefaults alloc] initWithSuiteName:@"buzzvil_api_storage_I'm_Damon"];
  NSString *url;
  if ([environment isEqualToString:@"Production"]) {
    url = @"https://api.buzzvil.com";
  } else if (([environment isEqualToString:@"Staging"])) {
    url = @"https://api-staging.buzzvil.com"; 
  } else {
    url = @"https://api-dev.buzzvil.com"; 
  }
  [_mutatorUserDefaults setValue:url forKey:@"server_domain_0"];
}

- (void)clearCursor:(NSString *)appKey {
  NSUserDefaults *userDefaults = [[NSUserDefaults alloc] initWithSuiteName:appKey];
  [userDefaults setValue:0 forKey:@"message_cursor_id"];
}

@end
