#import "FLCampaignEntryViewFactory+View.h"

@implementation FLCampaignEntryViewFactory {
  NSObject<FlutterBinaryMessenger>* _messenger;
}

- (instancetype)initWithMessenger:(NSObject<FlutterBinaryMessenger>*)messenger {
  if (self = [super init]) {
    _messenger = messenger;
  }
  return self;
}

- (NSObject<FlutterMessageCodec>*)createArgsCodec {
  return [FlutterStandardMessageCodec sharedInstance];
}

- (NSObject<FlutterPlatformView>*)createWithFrame:(CGRect)frame
                                   viewIdentifier:(int64_t)viewId
                                        arguments:(id _Nullable)args {
  return [[FLCampaignEntryView alloc] initWithFrame:frame
                              viewIdentifier:viewId
                                   arguments:args
                             binaryMessenger:_messenger];
}

@end

@implementation FLCampaignEntryView {
  FLCampaignEntryViewWrapper *_view;
}

- (instancetype)initWithFrame:(CGRect)frame
               viewIdentifier:(int64_t)viewId
                    arguments:(id _Nullable)args
              binaryMessenger:(NSObject<FlutterBinaryMessenger>*)messenger {
  if (self = [super init]) {
    _view = [[FLCampaignEntryViewWrapper alloc] initWithFrame:frame];
    
    if (args) {
      NSString *entryName = args[@"entry_name"];
      if (entryName) {
        [_view setEntryName:entryName];
      }
    }
    
  }
  return self;
}

- (UIView *)view {
  return _view;
}

@end

@implementation FLCampaignEntryViewWrapper {
  UIButton *_view;
}

- (instancetype)initWithFrame:(CGRect)frame {
  if (self = [super initWithFrame:frame]) {
    [self setupViewWithFrame:frame];
    [self setupLayout];
  }
  return self;
}

- (void)setupViewWithFrame:(CGRect)frame{
  _view = [[UIButton alloc] initWithFrame:frame];
  [self addSubview:_view];
  self.clickableViews = @[_view];
}

- (void) hi {
  NSLog(@"touch");
}

- (void)setupLayout {
  _view.translatesAutoresizingMaskIntoConstraints = NO;
  [NSLayoutConstraint activateConstraints:@[
    [_view.topAnchor constraintEqualToAnchor:self.topAnchor],
    [_view.leadingAnchor constraintEqualToAnchor:self.leadingAnchor],
    [_view.widthAnchor constraintEqualToConstant:100],
    [_view.heightAnchor constraintEqualToConstant:50],
  ]];
}

@end
