import 'buzz_booster_platform_interface.dart';

class BuzzBooster {
  Future<void> setUserId(String? userId, ) {
    return BuzzBoosterPlatform.instance.setUserId(userId, );
  }

  Future<void> init({required String androidAppKey, required String iosAppKey}) {
    return BuzzBoosterPlatform.instance.init(
      androidAppKey: androidAppKey,
      iosAppKey: iosAppKey
    );
  }

  Future<void> startService() {
    return BuzzBoosterPlatform.instance.startService();
  }

  Future<void> sendEvent(String eventName, Map<String, String>? eventValues, ) {
    return BuzzBoosterPlatform.instance.sendEvent(eventName, eventValues, );
  }

  Future<void> showInAppMessage() {
    return BuzzBoosterPlatform.instance.showInAppMessage();
  }

  Future<void> showCampaign() {
    return BuzzBoosterPlatform.instance.showCampaign();
  }

  Future<void> showSpecificCampaign(CampaignType campaignType) {
    return BuzzBoosterPlatform.instance.showSpecificCampaign(campaignType);
  }
}


enum CampaignType {
  attendance,
  referral
}