import 'package:flutter/widgets.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

const String viewType = 'CampaignFloatingActionButton';

class IOSCampaignFloatingActionButton extends StatelessWidget {
  const IOSCampaignFloatingActionButton({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return UiKitView(
      viewType: viewType,
      layoutDirection: TextDirection.ltr,
      creationParams: null,
      creationParamsCodec: StandardMessageCodec(),
    );
  }
}

class AndroidCampaignFloatingActionButton extends StatelessWidget {
  const AndroidCampaignFloatingActionButton({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return AndroidView(
      viewType: viewType,
      layoutDirection: TextDirection.ltr,
      creationParams: null,
      creationParamsCodec: StandardMessageCodec(),
    );
  }
}

class NativeCampaignFloatingActionButton extends StatelessWidget {

const NativeCampaignFloatingActionButton({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return AndroidCampaignFloatingActionButton(key: key);
      case TargetPlatform.iOS:
        return IOSCampaignFloatingActionButton(key: key);
      default:
        throw UnsupportedError('Unsupported platform view');
    }
  }
}

class CampaignFloatingActionButton extends StatelessWidget {
  double height;
  double width;
  
  CampaignFloatingActionButton({
    Key? key,
    this.width = 180.0,
    this.height = 180.0,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    Widget widget;

    return SizedBox(
      width: width,
      height: height,
      child: NativeCampaignFloatingActionButton(key:key)
    );
  }
}
